Page MenuHome

Splash Load Settings should quite gracefully on symbolic links (Windows)
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-7-6.1.7601-SP1 64 Bits
Graphics card: GeForce GTX 1050 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 398.36

Blender Version
Broken: version: 2.82 (sub 6), branch: master, commit date: 2020-02-11 14:45, hash: rBc939b4df18e9
Worked: (optional)

Short description of error
Errors when trying to load old Settings.

Exact steps for others to reproduce the error

I know making symbolic links on win requires Administrator right. But the routine for copy the old settings should at least quite with an user-usefull error.

Or even better copy what is possible and then remind the user...

AL lib: (EE) UpdateDeviceParams: Failed to set 48000hz, got 44100hz instead
found bundled python: C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.
82\python
Traceback (most recent call last):

File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta

rtup\bl_operators\userpref.py", line 67, in _preferences_copytree

os.symlink(linkto, dstname)

OSError: symbolic link privilege not held

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 70, in _preferences_copytree
    preferences_copytree(srcobj, dstname)
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 89, in preferences_copytree
    return _preferences_copytree(entries=entries, src=src, dst=dst)
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 73, in _preferences_copytree
    except Error as err:
NameError: name 'Error' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 70, in _preferences_copytree
    preferences_copytree(srcobj, dstname)
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 89, in preferences_copytree
    return _preferences_copytree(entries=entries, src=src, dst=dst)
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 73, in _preferences_copytree
    except Error as err:
NameError: name 'Error' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 154, in execute
    preferences_copytree(self._old_path(), self._new_path())
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 89, in preferences_copytree
    return _preferences_copytree(entries=entries, src=src, dst=dst)
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 73, in _preferences_copytree
    except Error as err:
NameError: name 'Error' is not defined

location: <unknown location>:-1

location: <unknown location>:-1
Error: Traceback (most recent call last):
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 67, in _preferences_copytree
    os.symlink(linkto, dstname)
OSError: symbolic link privilege not held

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 70, in _preferences_copytree
    preferences_copytree(srcobj, dstname)
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 89, in preferences_copytree
    return _preferences_copytree(entries=entries, src=src, dst=dst)
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 73, in _preferences_copytree
    except Error as err:
NameError: name 'Error' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 70, in _preferences_copytree
    preferences_copytree(srcobj, dstname)
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 89, in preferences_copytree
    return _preferences_copytree(entries=entries, src=src, dst=dst)
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 73, in _preferences_copytree
    except Error as err:
NameError: name 'Error' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 154, in execute
    preferences_copytree(self._old_path(), self._new_path())
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 89, in preferences_copytree
    return _preferences_copytree(entries=entries, src=src, dst=dst)
  File "C:\Users\cw\Desktop\blender-2.82-c939b4df18e9-windows64\2.82\scripts\sta
rtup\bl_operators\userpref.py", line 73, in _preferences_copytree
    except Error as err:
NameError: name 'Error' is not defined

location: <unknown location>:-1